Activation calque autocad

Signaler
Messages postés
20
Date d'inscription
vendredi 1 février 2008
Statut
Membre
Dernière intervention
2 juillet 2008
-
Messages postés
20
Date d'inscription
vendredi 1 février 2008
Statut
Membre
Dernière intervention
2 juillet 2008
-
bonjour a tous
voila je n'arrive pas en VBA sur autocad a activer le calque "0" de mon dessin le logiciel me donne une erreur de compilation
merci

4 réponses

Messages postés
682
Date d'inscription
vendredi 6 avril 2007
Statut
Membre
Dernière intervention
4 août 2012
6
bonjour
quel code as tu utilisé ? et changer de couche dans quel contexte ? pour travailler ensuite sur une couche précise? pour changer un objet de couche ?

[reglement.aspx ]si c'est la solution, penser : REPONSE ACCEPTEE
Messages postés
20
Date d'inscription
vendredi 1 février 2008
Statut
Membre
Dernière intervention
2 juillet 2008

je te remerci du temps passé j'ai trouver ca comme solution je sais pas si c'est tres bien mais ca marche
Set nom7 = ThisDrawing.Layers.Add("0")
ThisDrawing.ActiveLayer = nom7
Messages postés
682
Date d'inscription
vendredi 6 avril 2007
Statut
Membre
Dernière intervention
4 août 2012
6
ThisDrawing.Layers.Add("0")
il ne crie pas quand tu lui demandes de rajouter un calque avec un nom qui existe forcément déja ??

autrement la bonne façon de faire c'est
ThisDrawing.ActiveLayer = ThisDrawing.Layers.Item(0)

[reglement.aspx ]si c'est la solution, penser : REPONSE ACCEPTEE
Messages postés
20
Date d'inscription
vendredi 1 février 2008
Statut
Membre
Dernière intervention
2 juillet 2008

ba non y crie pas mais je vais prendre ta solution elle est plus mieux
merci beaucoup